xclade
Admin APIWorkflows executions

List Workflows Executions

Retrieve a list of workflows executions. The workflows executions can be filtered by fields such as `id`. The workflows executions can also be sorted or paginated.

GET
/admin/workflows-executions
AuthorizationBearer <token>

In: header

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

offset?number

The number of items to skip when retrieving a list.

limit?number

Limit the number of items returned in the list.

order?string

The field to sort the data by. By default, the sort order is ascending. To change the order to descending, prefix the field name with -.

transaction_id?transaction_id|
workflow_id?workflow_id|
q?string

Search query to filter by a workflow execution's searchable fields.

with_deleted?boolean

Whether to include deleted records in the result.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X GET "https://{tenant}.api.myxclade.com/admin/workflows-executions"
{
  "limit": 0,
  "offset": 0,
  "count": 0,
  "workflow_executions": [
    {
      "id": "string",
      "workflow_id": "string",
      "transaction_id": "string",
      "execution": {
        "steps": {
          "property1": {
            "id": "string",
            "invoke": {
              "state": "failed",
              "status": "idle"
            },
            "definition": {
              "async": true,
              "compensateAsync": true,
              "noCompensation": true,
              "continueOnPermanentFailure": true,
              "skipOnPermanentFailure": "string",
              "maxRetries": 0,
              "noWait": false,
              "retryInterval": 0,
              "retryIntervalAwaiting": 0,
              "saveResponse": true,
              "timeout": 0,
              "autoRetry": true,
              "maxAwaitingRetries": 0
            },
            "compensate": {
              "state": "failed",
              "status": "idle"
            },
            "depth": 0,
            "startedAt": 0
          },
          "property2": {
            "id": "string",
            "invoke": {
              "state": "failed",
              "status": "idle"
            },
            "definition": {
              "async": true,
              "compensateAsync": true,
              "noCompensation": true,
              "continueOnPermanentFailure": true,
              "skipOnPermanentFailure": "string",
              "maxRetries": 0,
              "noWait": false,
              "retryInterval": 0,
              "retryIntervalAwaiting": 0,
              "saveResponse": true,
              "timeout": 0,
              "autoRetry": true,
              "maxAwaitingRetries": 0
            },
            "compensate": {
              "state": "failed",
              "status": "idle"
            },
            "depth": 0,
            "startedAt": 0
          }
        }
      },
      "context": {
        "data": {
          "invoke": {
            "property1": {
              "output": {
                "output": null,
                "compensateInput": null
              }
            },
            "property2": {
              "output": {
                "output": null,
                "compensateInput": null
              }
            }
          },
          "payload": null
        },
        "compensate": {},
        "errors": [
          {
            "error": {},
            "action": "string",
            "handlerType": "string"
          }
        ]
      },
      "state": "not_started",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z"
    }
  ]
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}